
//return cached page if available, fall back to network otherwise (e.g. POST requests)
self.addEventListener('fetch', function (event) {
  event.respondWith(
    caches.match(event.request).then(function (response) {
      return response || fetch(event.request);
    }),
  );
});

self.addEventListener('install', function (event) {
  event.waitUntil(
    caches.open('cnq-cockpit-static-v1').then(function (cache) {
      return cache.addAll([
        'index.html',
        //'/css/whatever-v3.css',
        //'/css/imgs/sprites-v6.png',
        //'/css/fonts/whatever-v8.woff',
        //'/js/all-min-v4.js',
        // etc.
      ]);
    }),
  );
});
